<span class='star-rating'>
    <ng-container>
      <em *ngFor='let n of [].constructor(maxRateCount); let $index = index' 
      (click)='((!this.showStarRating && this.markStar($index)) || (this.isEdit == true && this.markStar($index)))' 
      [ngClass]='isStarMarked($index)'></em>
    </ng-container>
</span>